commit:     ebb00fb4daf03d424060dbb26ffc5bde91c24a78
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  9 11:34:39 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Wed Dec  9 11:36:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=ebb00fb4

scripts/bootstrap-prefix: disable emerge colour output during stage{1,2,3}

To make the stage logs a bit more readable, disable colour output, so we
don't get many fancy ANSI escape codes.

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 scripts/bootstrap-prefix.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 9ef524a1ad..8a59bb1ba5 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -1618,7 +1618,7 @@ do_emerge_pkgs() {
                        PORTAGE_SYNC_STALE=0 \
                        FEATURES="-news ${FEATURES}" \
                        USE="${myuse[*]}" \
-                       emerge -v --oneshot --root-deps ${opts} "${pkg}" 
+                       emerge --color n -v --oneshot --root-deps ${opts} 
"${pkg}"
                )
                [[ $? -eq 0 ]] || return 1
 
@@ -2103,7 +2103,7 @@ bootstrap_stage3() {
                # snapshot beforehand
                emerge-webrsync --keep || return 1
        else
-               emerge --sync || emerge-webrsync || return 1
+               emerge --color n --sync || emerge-webrsync || return 1
        fi
 
        # avoid installing git or encryption just for fun while completing 
@system
@@ -2115,11 +2115,11 @@ bootstrap_stage3() {
        # very well on Darwin (-DGNUSTEP_BASE_VERSION hack)
        einfo "running emerge -u system"
        CPPFLAGS="-DGNUSTEP_BASE_VERSION" \
-       CFLAGS= CXXFLAGS= emerge -u system || return 1
+       CFLAGS= CXXFLAGS= emerge --color n -u system || return 1
 
        # remove anything that we don't need (compilers most likely)
        einfo "running emerge --depclean"
-       emerge --depclean
+       emerge --color n --depclean
 
        # "wipe" mtimedb such that the resume list is proper after this stage
        # (--depclean may fail, which is ok)

Reply via email to